#pragma once

#include "Participants/ParticipantUDP.h"

namespace RoboidControl {
namespace Arduino {

class ParticipantUDP : public RoboidControl::ParticipantUDP {
 public:
  void Setup();
  void Receive();
  bool SendTo(Participant* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);

 protected:
  char* broadcastIpAddress = nullptr;

  void GetBroadcastAddress();
};

}  // namespace Arduino
}  // namespace RoboidControl
